export * from './Global';
export { Collection, Util } from './Util';
export { Node, ids, names } from './Node';
export { Container } from './Container';
export { Stage, stages } from './Stage';
export { Layer } from './Layer';
export { FastLayer } from './FastLayer';
export { Group } from './Group';
export declare const DD: {
    startPointerPos: {
        x: number;
        y: number;
    };
    anim: import("./Animation").Animation;
    isDragging: boolean;
    justDragged: boolean;
    offset: {
        x: number;
        y: number;
    };
    node: any;
    _drag(evt: any): void;
    _endDragBefore(evt: any): void;
    _endDragAfter(evt: any): void;
};
export { Shape, shapes } from './Shape';
export { Animation } from './Animation';
export { Tween, Easings } from './Tween';
export declare const enableTrace = false;
export declare const listenClickTap = false;
export declare const inDblClickWindow = false;
export declare const pixelRatio: any;
export declare const dragDistance = 3;
export declare const angleDeg = true;
export declare const showWarnings = true;
export declare const dragButtons: number[];
export declare const isDragging: () => boolean;
export declare const isDragReady: () => boolean;
export { Arc } from './shapes/Arc';
export { Arrow } from './shapes/Arrow';
export { Circle } from './shapes/Circle';
export { Ellipse } from './shapes/Ellipse';
export { Image } from './shapes/Image';
export { Label, Tag } from './shapes/Label';
export { Line } from './shapes/Line';
export { Path } from './shapes/Path';
export { Rect } from './shapes/Rect';
export { RegularPolygon } from './shapes/RegularPolygon';
export { Ring } from './shapes/Ring';
export { Sprite } from './shapes/Sprite';
export { Star } from './shapes/Star';
export { Text } from './shapes/Text';
export { TextPath } from './shapes/TextPath';
export { Transformer } from './shapes/Transformer';
export { Wedge } from './shapes/Wedge';
export declare const Filters: {
    Blur: (this: import("./Node").Node<import("./Node").NodeConfig>, imageData: CanvasImageData) => void;
    Brighten: import("./Node").Filter;
    Contrast: (imageData: any) => void;
    Emboss: (imageData: any) => void;
    Enhance: (imageData: any) => void;
    Grayscale: (imageData: any) => void;
    HSL: (imageData: any) => void;
    HSV: (imageData: any) => void;
    Invert: (imageData: any) => void;
    Kaleidoscope: (imageData: any) => void;
    Mask: (imageData: any) => any;
    Noise: (imageData: any) => void;
    Pixelate: (imageData: any) => void;
    Posterize: (imageData: any) => void;
    RGB: (imageData: any) => void;
    RGBA: (imageData: any) => void;
    Sepia: (imageData: any) => void;
    Solarize: (imageData: any) => void;
    Threshold: (imageData: any) => void;
};
